weka.core.pmml.jaxbbindings

## Class NeuralNetwork

- java.lang.Object
- - weka.core.pmml.jaxbbindings.NeuralNetwork

-     public class NeuralNetwork
      extends java.lang.Object

  Java class for NeuralNetwork element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="NeuralNetwork">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}MiningSchema"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Output" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ModelStats" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ModelExplanation" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Targets" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}LocalTransformations" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}NeuralInputs"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}NeuralLayer" maxOccurs="unbounded"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}NeuralOutputs" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ModelVerification" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="activationFunction" use="required" type="{http://www.dmg.org/PMML-4_1}ACTIVATION-FUNCTION" />
               <attribute name="algorithmName" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="altitude" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" default="1.0" />
               <attribute name="functionName" use="required" type="{http://www.dmg.org/PMML-4_1}MINING-FUNCTION" />
               <attribute name="isScorable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
               <attribute name="modelName" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="normalizationMethod" type="{http://www.dmg.org/PMML-4_1}NN-NORMALIZATION-METHOD" default="none" />
               <attribute name="numberOfLayers" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
               <attribute name="threshold" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" default="0" />
               <attribute name="width" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NeuralNetwork()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ACTIVATIONFUNCTION` | `getActivationFunction()` Gets the value of the activationFunction property.
    `java.lang.String` | `getAlgorithmName()` Gets the value of the algorithmName property.
    `double` | `getAltitude()` Gets the value of the altitude property.
    `java.util.List<java.lang.Object>` | `getContent()` Gets the rest of the content model.
    `MININGFUNCTION` | `getFunctionName()` Gets the value of the functionName property.
    `java.lang.String` | `getModelName()` Gets the value of the modelName property.
    `NNNORMALIZATIONMETHOD` | `getNormalizationMethod()` Gets the value of the normalizationMethod property.
    `java.math.BigInteger` | `getNumberOfLayers()` Gets the value of the numberOfLayers property.
    `double` | `getThreshold()` Gets the value of the threshold property.
    `java.lang.Double` | `getWidth()` Gets the value of the width property.
    `boolean` | `isIsScorable()` Gets the value of the isScorable property.
    `void` | `setActivationFunction(ACTIVATIONFUNCTION value)` Sets the value of the activationFunction property.
    `void` | `setAlgorithmName(java.lang.String value)` Sets the value of the algorithmName property.
    `void` | `setAltitude(java.lang.Double value)` Sets the value of the altitude property.
    `void` | `setFunctionName(MININGFUNCTION value)` Sets the value of the functionName property.
    `void` | `setIsScorable(java.lang.Boolean value)` Sets the value of the isScorable property.
    `void` | `setModelName(java.lang.String value)` Sets the value of the modelName property.
    `void` | `setNormalizationMethod(NNNORMALIZATIONMETHOD value)` Sets the value of the normalizationMethod property.
    `void` | `setNumberOfLayers(java.math.BigInteger value)` Sets the value of the numberOfLayers property.
    `void` | `setThreshold(java.lang.Double value)` Sets the value of the threshold property.
    `void` | `setWidth(java.lang.Double value)` Sets the value of the width property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NeuralNetwork

          public NeuralNetwork()

  - ### Method Detail

    - #### getContent

          public java.util.List<java.lang.Object> getContent()

      Gets the rest of the content model.

      You are getting this "catch-all" property because of the following reason: The field name "Extension" is used by two different parts of a schema. See: line 3183 of file:/home/david/workspace/weka/pmml-4-1.xsd line 3172 of file:/home/david/workspace/weka/pmml-4-1.xsd

      To get rid of this property, apply a property customization to one of both of the following declarations to change their names: Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `ModelExplanation` `ModelStats` `Output` `NeuralLayer` `LocalTransformations` `Targets` `NeuralOutputs` `MiningSchema` `ModelVerification` `NeuralInputs` `Extension`

    - #### getActivationFunction

          public ACTIVATIONFUNCTION getActivationFunction()

      Gets the value of the activationFunction property.
      Returns:
        possible object is `ACTIVATIONFUNCTION`

    - #### setActivationFunction

          public void setActivationFunction(ACTIVATIONFUNCTION value)

      Sets the value of the activationFunction property.
      Parameters:
        `value` - allowed object is `ACTIVATIONFUNCTION`

    - #### getAlgorithmName

          public java.lang.String getAlgorithmName()

      Gets the value of the algorithmName property.
      Returns:
        possible object is `String`

    - #### setAlgorithmName

          public void setAlgorithmName(java.lang.String value)

      Sets the value of the algorithmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAltitude

          public double getAltitude()

      Gets the value of the altitude property.
      Returns:
        possible object is `Double`

    - #### setAltitude

          public void setAltitude(java.lang.Double value)

      Sets the value of the altitude property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getFunctionName

          public MININGFUNCTION getFunctionName()

      Gets the value of the functionName property.
      Returns:
        possible object is `MININGFUNCTION`

    - #### setFunctionName

          public void setFunctionName(MININGFUNCTION value)

      Sets the value of the functionName property.
      Parameters:
        `value` - allowed object is `MININGFUNCTION`

    - #### isIsScorable

          public boolean isIsScorable()

      Gets the value of the isScorable property.
      Returns:
        possible object is `Boolean`

    - #### setIsScorable

          public void setIsScorable(java.lang.Boolean value)

      Sets the value of the isScorable property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getModelName

          public java.lang.String getModelName()

      Gets the value of the modelName property.
      Returns:
        possible object is `String`

    - #### setModelName

          public void setModelName(java.lang.String value)

      Sets the value of the modelName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNormalizationMethod

          public NNNORMALIZATIONMETHOD getNormalizationMethod()

      Gets the value of the normalizationMethod property.
      Returns:
        possible object is `NNNORMALIZATIONMETHOD`

    - #### setNormalizationMethod

          public void setNormalizationMethod(NNNORMALIZATIONMETHOD value)

      Sets the value of the normalizationMethod property.
      Parameters:
        `value` - allowed object is `NNNORMALIZATIONMETHOD`

    - #### getNumberOfLayers

          public java.math.BigInteger getNumberOfLayers()

      Gets the value of the numberOfLayers property.
      Returns:
        possible object is `BigInteger`

    - #### setNumberOfLayers

          public void setNumberOfLayers(java.math.BigInteger value)

      Sets the value of the numberOfLayers property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getThreshold

          public double getThreshold()

      Gets the value of the threshold property.
      Returns:
        possible object is `Double`

    - #### setThreshold

          public void setThreshold(java.lang.Double value)

      Sets the value of the threshold property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getWidth

          public java.lang.Double getWidth()

      Gets the value of the width property.
      Returns:
        possible object is `Double`

    - #### setWidth

          public void setWidth(java.lang.Double value)

      Sets the value of the width property.
      Parameters:
        `value` - allowed object is `Double`